NX Open C++ Reference Guide
|
Represents a Mechatronics::AngularLimitJoint builder. More...
Public Member Functions | |
NXOpen::Direction * | AttachmentVector () |
Returns the attachment vector. | |
NXOpen::Direction * | BaseVector () |
Returns the base vector. | |
NXOpen::Point * | FeedbackPoint () |
Returns the position of visual feedback point. | |
NXOpen::Expression * | MaximumPosition () |
Returns the maximum position: The maximum allowable angle, stops objects moving beyond this degree. | |
NXOpen::Expression * | MinimumPosition () |
Returns the minimum position: The minimum allowable angle, stops objects moving too close together. | |
void | SetAttachmentVector (NXOpen::Direction *attachmentVector) |
Sets the attachment vector. | |
void | SetBaseVector (NXOpen::Direction *baseVector) |
Sets the base vector. | |
void | SetFeedbackPoint (NXOpen::Point *feedback) |
Sets the position of visual feedback point. | |
![]() | |
NXOpen::SelectNXObject * | Attachment () |
Returns the attachment of joint. | |
NXOpen::SelectNXObject * | Base () |
Returns the base of joint. | |
NXString | Name () |
Returns the name. | |
void | SetAttachment (NXOpen::NXObject *attachment) |
Sets the attachment. | |
void | SetBase (NXOpen::NXObject *base) |
Sets the base. | |
void | SetName (const NXString &name) |
Sets the name. | |
void | SetName (const char *name) |
Sets the name. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Mechatronics::AngularLimitJoint builder.
To create a new instance of this class, use Mechatronics::AngularLimitJointCollection::CreateAngularLimitJointBuilder
Created in NX7.5.1.
NXOpen::Direction* NXOpen::Mechatronics::AngularLimitJointBuilder::AttachmentVector | ( | ) |
Returns the attachment vector.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
NXOpen::Direction* NXOpen::Mechatronics::AngularLimitJointBuilder::BaseVector | ( | ) |
Returns the base vector.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
NXOpen::Point* NXOpen::Mechatronics::AngularLimitJointBuilder::FeedbackPoint | ( | ) |
Returns the position of visual feedback point.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
NXOpen::Expression* NXOpen::Mechatronics::AngularLimitJointBuilder::MaximumPosition | ( | ) |
Returns the maximum position: The maximum allowable angle, stops objects moving beyond this degree.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
NXOpen::Expression* NXOpen::Mechatronics::AngularLimitJointBuilder::MinimumPosition | ( | ) |
Returns the minimum position: The minimum allowable angle, stops objects moving too close together.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
void NXOpen::Mechatronics::AngularLimitJointBuilder::SetAttachmentVector | ( | NXOpen::Direction * | attachmentVector | ) |
Sets the attachment vector.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
attachmentVector | attachmentvector |
void NXOpen::Mechatronics::AngularLimitJointBuilder::SetBaseVector | ( | NXOpen::Direction * | baseVector | ) |
Sets the base vector.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
baseVector | basevector |
void NXOpen::Mechatronics::AngularLimitJointBuilder::SetFeedbackPoint | ( | NXOpen::Point * | feedback | ) |
Sets the position of visual feedback point.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
feedback | feedback |